Create a transfer sender
curl --request POST \
--url https://developersandbox-api.flutterwave.com/transfers/senders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": {
"first": "King",
"last": "LeBron",
"middle": "Leo"
},
"email": "cornelius@gmail.com",
"address": {
"city": "New York",
"country": "US",
"line1": "123 Main Street",
"postal_code": "10001",
"state": "New York",
"line2": "Apt 4B"
},
"phone": {
"country_code": "234",
"number": "08012345678"
}
}
'import requests
url = "https://developersandbox-api.flutterwave.com/transfers/senders"
payload = {
"name": {
"first": "King",
"last": "LeBron",
"middle": "Leo"
},
"email": "cornelius@gmail.com",
"address": {
"city": "New York",
"country": "US",
"line1": "123 Main Street",
"postal_code": "10001",
"state": "New York",
"line2": "Apt 4B"
},
"phone": {
"country_code": "234",
"number": "08012345678"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: {first: 'King', last: 'LeBron', middle: 'Leo'},
email: 'cornelius@gmail.com',
address: {
city: 'New York',
country: 'US',
line1: '123 Main Street',
postal_code: '10001',
state: 'New York',
line2: 'Apt 4B'
},
phone: {country_code: '234', number: '08012345678'}
})
};
fetch('https://developersandbox-api.flutterwave.com/transfers/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"id": "<string>",
"name": {
"first": "King",
"middle": "Leo",
"last": "LeBron"
},
"national_identification": {
"identifier": "FLY5869798686",
"expiration_date": "2029-07-08"
},
"phone": {
"country_code": "234",
"number": "08012345678"
},
"date_of_birth": "<string>",
"email": "cornelius@gmail.com",
"address": {
"city": "New York",
"country": "US",
"line1": "123 Main Street",
"postal_code": "10001",
"state": "New York",
"line2": "Apt 4B"
}
}
}{
"status": "failed",
"error": {
"type": "REQUEST_NOT_VALID",
"code": "10400",
"message": "Request is not valid",
"validation_errors": [
{
"field_name": "amount",
"message": "must not be null"
}
]
}
}{
"status": "failed",
"message": "UNAUTHORIZED",
"error": {
"type": "UNAUTHORIZED",
"code": "10401",
"message": "unauthorized"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "FORBIDDEN",
"code": "10403",
"message": "Forbidden"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "RESOURCE_CONFLICT",
"code": "10409",
"message": "Resource conflict"
}
}Transfer Senders
Create a transfer sender
Create a transfer sender
POST
/
transfers
/
senders
Create a transfer sender
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
Required string length:
12 - 255A unique identifier to prevent duplicate requests. It must be between 12 and 255 characters in length.
Required string length:
12 - 255Body
application/json
- Option 1
- Option 2
- Option 3
Sender information for GBP bank transfers.
The Sender's name.
Show child attributes
Show child attributes
The Sender's email address
Pattern:
^[a-zA-Z0-9_+&*-]+(?:\.[a-zA-Z0-9_+&*-]+)*@(?:[a-zA-Z0-9-]+\.)+[a-zA-Z]{2,}$Example:
"cornelius@gmail.com"
The Sender's residential address
Show child attributes
Show child attributes
The Sender's phone number
Show child attributes
Show child attributes
Example:
{ "country_code": "234", "number": "08012345678" }
Was this page helpful?
⌘I